/*******************************************************************************
 * Copyright(c) 2022 dongke All rights reserved. / Confidential
 * 类的信息：
 *		1.程序名称：
 * 编辑履历：
 *		作者				日期					版本				修改内容
 *		王英杰		 2024-1-23			1.00		    商品档案
 *******************************************************************************/
const Constants = require('@/utils/Constants.js');
const util = require('@/utils/util.js')
const mixins = require('@/mixins/index.js')
const app = getApp()
Page({
  mixins: [mixins],
  /**
   * 页面的初始数据
   */
  data: {
    flgValidList:null,
    buttonList: [{
      name: 'merge',
      title: mixins.$t("add"), //'保存'
  }],
    //接口
    goodsSeriesService: app.globalData['goodsSeriesService'],
    routeObjName: 'goodsSku',
    tableData: [],
    // 查询条件
    searchContent: [{
      code: 'flgValid',
      title: mixins.$t('flagV'),
      searchType: Constants.searchType.switch, 
      list: [{
          code: 1,
          title: mixins.$t('valid'),
          value: true
        },
        {
          code: 2,
          title: mixins.$t('invalid'),
          value: false
        }
      ]
    }, {
      code: 'brand',
      title: mixins.$t('goodsBrand'),
      dropType: 'brand',
      searchType: Constants.searchType.drop
    }, {
      code: 'sort', title: mixins.$t('SellableQuantityAsc'),searchType:Constants.searchType.radio, value:1, options: [
        {
          "text": mixins.$t('SellableQuantityAsc'),
          "value": 1
        },
        {
          "text": mixins.$t('SellableQuantityDesc'),
          "value": 2
        }
      ],
    },],
    sidebarList: [], //左边系列名字
    contentList: [{ //内容
        name: 'skuModel',
        title: mixins.$t('skuModel')
      },
      {
        name: 'brandName',
        title: mixins.$t('goodsBrand')
      },
      {
        name: 'seriesName',
        title: mixins.$t('goodsSeries')
      },
      {
        name: 'skuSpec',
        title: mixins.$t('sukSpec')
      }
    ],


    sideKey: 0,
    // 商品分类
    sidebarList: [{ //增加全部标头
      seriesName: mixins.$t('all'),
      seriesId: ''
    }],
  },
  /**
   * @desc : 初始页面加载数据
   * @author : 王英杰
   * @date : 2024/1/23 9:16
   */
  loadInit() {
    this.getGoodsSeries()
  },
  /**
   * @desc : 查询商品系列名称
   * @author : 王英杰
   * @date : 2024/1/23 9:16
   */
  getGoodsSeries() {
    let param = {}
    let excute = this.excute(this.data.goodsSeriesService,this.data.goodsSeriesService.listByNoPage,{});
    excute.then(res => {
      if (res.data.code === Constants.SUCESS_CODE) {
        let sidebarList = this.data.sidebarList
        sidebarList = sidebarList.concat(res.data.data)
        this.setData({
          sidebarList: sidebarList
        })

      }
    })
    return excute;
  },



  /**
   * @desc : 设置查询参数
   * @author : 王英杰
   * @date : 2024/1/23 9:16
   */
  setSearchParams(params) {
    params.seriesId = this.data.seriesId
     //有效标识
     if (params.flgValidList && params.flgValidList.indexOf("true") != -1 && params.flgValidList.indexOf("false") == -1) {
      params.flgValid = true
    } else if (params.flgValidList && params.flgValidList.indexOf("true") == -1 && params.flgValidList.indexOf("false") != -1) {
      params.flgValid = false
    }
    params.brandIds = (params.brandIds && params.brandIds.length > 0) ? params.brandIds.join(',') : undefined
    return params
  },

  /**
   * @desc : 加载数据
   * @author : 王英杰
   * @date : 2024/1/23 9:16
   */
  getData(params) {
    return this.excute(this.data.service, this.data.service.selectByCond, params);
  },

  /**
   * @desc :   启用停用
   * @date : 2024/2/1 15:49
   * @author : 王英杰
   */
  deactivateEnable(e) {
    let item = e.detail.item
    //执行接口
    this.handleMoreDataIsValid(this.data.service, item, 'skuId')
  },
  /**
   * @desc : 分类切换
   * @author : 王英杰
   * @date : 2022/5/26 20:16
   */
  changeSidebar(e) {
    let id = this.data.sidebarList[e.detail].seriesId
    this.setData({
      seriesId: id
    })
    this.searchData()
  },
  /**
   * @desc : 详细页面 （编辑）
   * @date : 2024/2/1 15:49
   * @author : 王英杰
   */
  toDetail(e) {
    let skuId = e.detail.item.skuId
    wx.navigateTo({
      url: this.data.route.add.url,
      events: {
        // 回调后，在这里给页面赋值
        bandData: function (e) {
          console.log("toDetail", e);
        }
      },
      success: function (res) {
        // 通过eventChannel向被打开页面传送数据 TODO 测试例子url是写死的，实际中，需要从route中读取
        res.eventChannel.emit('params', {
          id: skuId,
          formMode: Constants.formMode.edit
        })
      }
    })
  },
  /**
   * @desc : 新建
   * @author : 王英杰
   * @date : 2024/1/23 9:16
   */
  toAdd() {
    wx.navigateTo({
      url: this.data.route.add.url,
      success: function (res) {
        // 通过eventChannel向被打开页面传送数据 TODO 测试例子url是写死的，实际中，需要从route中读取
        res.eventChannel.emit('params', {})
      }
    })

  },


 


})